### Property

# Gdk Device:num-lock-state

since: 4.0

#### Declaration

    property num-lock-state: gboolean [ read ]

#### Description [src]

Whether Num Lock is on.

This is only relevant for keyboard devices.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gdk_device_get_num_lock_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no